using Hcs.Broker.Api;
using Hcs.Broker.Api.Payload.DeviceMetering;
using Hcs.Service.Async.DeviceMetering;

namespace Hcs.Broker.Mock.Api
{
    /// <inheritdoc cref="IDeviceMeteringApi"/>
    public class MockDeviceMeteringApi : IDeviceMeteringApi
    {
        /// <inheritdoc cref="IDeviceMeteringApi"/>
        public async Task<IEnumerable<exportMeteringDeviceHistoryResultType>> ExportMeteringDeviceHistoryAsync(ExportMeteringDeviceHistoryPayload payload, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return [];
        }

        /// <inheritdoc cref="IDeviceMeteringApi"/>
        public async Task<bool> ImportMeteringDeviceValuesAsync(importMeteringDeviceValuesRequestMeteringDevicesValues values, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return true;
        }
    }
}
